Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBApplication

    java.lang.Object
      com.sun.mfwk.cib.CIBObject
          com.sun.mfwk.cib.CIBManagedObject
              com.sun.mfwk.cib.CIBMonitoredObject
                  com.sun.mfwk.cib.CIBApplication

All Implemented Interfaces:
  CIBApplicationIf, CIBApplicationMBean, CIBManagedObjectIf, CIBManagedObjectMBean, CIBMonitoredObjectIf, CIBMonitoredObjectMBean, CIBObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class CIBApplication
extends CIBMonitoredObject
implements CIBApplicationMBean, CIBApplicationIf

Default implementation of a CIB Application.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Constructor Summary
`CIBApplication()` Build a CIBApplication
`CIBApplication(java.lang.String role, java.lang.String urlDescription, java.lang.String directoryDN)` Build a CIBApplication the given configuration parameters

Method Summary
`void` | `addCIBApplication(javax.management.ObjectName objectName)` Allows to add a CIBApplication objectName in the list of ContainedApplications
`void` | `addCIBExternalResource(javax.management.ObjectName objectName)` Allows to add an CIBExternalResource to the list of Object Names Associated to the CIBApplication
`void` | `addCIBResource(javax.management.ObjectName objectName)` addCIBResource
`void` | `addCIBService(javax.management.ObjectName objectName)` Allows to add a CIBService objectName in the list of service managed object linked to the application
`javax.management.ObjectName[]` | `getApplicationsSet()` Returns the list of aggregated applications
`java.lang.String` | `getApplicationURLDescription()` Provides the application URL Description
`long` | `getAvailabilityStatusDegradedTime()` Returns the time the first time the object entered into the degraded state
`long` | `getAvailabilityStatusLastChange()` Get the time when the availability status last changed
`int` | `getAvailabilityStatusState()` Get the Availability State of the Monitored object
`javax.management.ObjectName` | `getContainer()` Returns the object name of the application container
`java.lang.String` | `getDirectoryDN()` getDirectoryDN
`javax.management.ObjectName` | `getExternalResourceByUri(java.lang.String uri)` Returns the object name of a ExternalResource associated to the application identifies by its Uri
`javax.management.ObjectName[]` | `getExternalResources()` Return the list of External service object names associated to the application
`javax.management.openmbean.CompositeData` | `getOpenStatistic(java.lang.String name)` Gets a CIB Statistic as a standard serializable JMX Open Type
`javax.management.openmbean.CompositeData[]` | `getOpenStatistics(java.lang.String[] names)` Gets all CIBStatistics encoded as serializable JMX Open Types.
`javax.management.openmbean.CompositeData` | `getOpenStats()` Gets a CIBStats object encoded as a standard serializable JMX Open Type
`long` | `getOperationalStatusLastChange()` Get the time when the operational status last changed
`long` | `getOperationalStatusStartTime()` Get the time when the Operational status entered into the running state
`int` | `getOperationalStatusState()` Get the Operational MfStatus of the monitored object
`javax.management.ObjectName` | `getProduct()` Returns the CIBProduct object name
`javax.management.ObjectName` | `getResourceByName(java.lang.String name)` Returns the Object Name of a resource identified by its uri
`javax.management.ObjectName[]` | `getResources()` Returns the list of object names of all the resource associated to the application
`java.lang.String` | `getRole()` Provides the role of an application instance in the JES environment.
`javax.management.ObjectName` | `getServiceByName(java.lang.String name)` Returns the Object Name of the service identified by its name
`javax.management.ObjectName` | `getServiceByUri(java.lang.String uri)` Returns the object name of the Service identified by its Uri
`javax.management.ObjectName[]` | `getServices()` Return the list of CIBService object names
`java.lang.String[]` | `getStatisticNames()` Gets all available statistic names
`javax.management.j2ee.statistics.Stats` | `getStats()` Returns the Stats object provided by the CIBProviderHandler Gets a CIBStats object for all available statistics.
`void` | `removeCIBApplication(javax.management.ObjectName objectName)` Allows to remove a CIBApplication object name from the list of ContainedApplications
`void` | `removeCIBExternalResource(javax.management.ObjectName objectName)` Allows to remove an an CIBExternalResource from the list of Object Names Associated to the CIBApplication
`void` | `removeCIBResource(javax.management.ObjectName objectName)` removeCIBResource
`void` | `removeCIBService(javax.management.ObjectName objectName)` Allows to remove a service object name from the list associated to the application
`void` | `setApplicationContainer(javax.management.ObjectName objectName)` Allows to set the Container object Name
`void` | `setCIBProduct(javax.management.ObjectName objectName)` setCIBProduct
`void` | `setRole(java.lang.String theRole)` Set the Role of the application
`void` | `setStateProvider(boolean val)` Set the stateProvider to val
`void` | `setStatisticProvider(boolean val)` Set the statisticProvider to val
`void` | `setUrlDescription(java.lang.String theUrlDescription)` Set the URL Description of the Application

Methods inherited from class com.sun.mfwk.cib.CIBMonitoredObject
`getCIBProviderHandler, isStateProvider, isStatisticProvider, setCIBProviderHandler`

Methods inherited from class com.sun.mfwk.cib.CIBManagedObject
`addNotificationListener, getDescription, getJ2eeSibling, getNotificationInfo, isEventProvider, removeNotificationListener, removeNotificationListener, setDescription, setEventProvider, setJ2eeSibling`

Methods inherited from class com.sun.mfwk.cib.CIBObject
`getModelVersion, getName, getType, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`isStateProvider, isStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectIf
`getCIBProviderHandler, setCIBProviderHandler`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectIf
`setDescription`

Constructor Detail

### CIBApplication

    public CIBApplication()

  Build a CIBApplication

### CIBApplication

    public CIBApplication(java.lang.String role,
                          java.lang.String urlDescription,
                          java.lang.String directoryDN)

  Build a CIBApplication the given configuration parameters

Parameters:
  `role` - String
  `urlDescription` - String
  `directoryDN` - String

Method Detail

### setStateProvider

    public void setStateProvider(boolean val)
                          throws CIBException

  Set the stateProvider to val

  Specified by:
    `setStateProvider` in interface `CIBMonitoredObjectMBean`
  Overrides:
    `setStateProvider` in class `CIBMonitoredObject`
  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### setStatisticProvider

    public void setStatisticProvider(boolean val)
                              throws CIBException

  Set the statisticProvider to val

  Specified by:
    `setStatisticProvider` in interface `CIBMonitoredObjectMBean`
  Overrides:
    `setStatisticProvider` in class `CIBMonitoredObject`
  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### setRole

    public void setRole(java.lang.String theRole)

  Set the Role of the application

  Parameters:
    `theRole` - String

### setUrlDescription

    public void setUrlDescription(java.lang.String theUrlDescription)

  Set the URL Description of the Application

  Parameters:
    `theUrlDescription` - String

### addCIBApplication

    public void addCIBApplication(javax.management.ObjectName objectName)

  Allows to add a CIBApplication objectName in the list of ContainedApplications

  Specified by:
    `addCIBApplication` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName

### removeCIBApplication

    public void removeCIBApplication(javax.management.ObjectName objectName)
                              throws CIBException

  Allows to remove a CIBApplication object name from the list of ContainedApplications

  Specified by:
    `removeCIBApplication` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBService

    public void addCIBService(javax.management.ObjectName objectName)

  Allows to add a CIBService objectName in the list of service managed object linked to the application

  Specified by:
    `addCIBService` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName

### removeCIBService

    public void removeCIBService(javax.management.ObjectName objectName)
                          throws CIBException

  Allows to remove a service object name from the list associated to the application

  Specified by:
    `removeCIBService` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBExternalResource

    public void addCIBExternalResource(javax.management.ObjectName objectName)

  Allows to add an CIBExternalResource to the list of Object Names Associated to the CIBApplication

  Specified by:
    `addCIBExternalResource` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName

### removeCIBExternalResource

    public void removeCIBExternalResource(javax.management.ObjectName objectName)
                                   throws CIBException

  Allows to remove an an CIBExternalResource from the list of Object Names Associated to the CIBApplication

  Specified by:
    `removeCIBExternalResource` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### setApplicationContainer

    public void setApplicationContainer(javax.management.ObjectName objectName)

  Allows to set the Container object Name

  Specified by:
    `setApplicationContainer` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName

### getApplicationURLDescription

    public java.lang.String getApplicationURLDescription()

  Provides the application URL Description

  Specified by:
    `getApplicationURLDescription` in interface `CIBApplicationMBean`
  Returns:
    String

### getRole

    public java.lang.String getRole()

  Provides the role of an application instance in the JES environment.

  Specified by:
    `getRole` in interface `CIBApplicationMBean`
  Returns:
    String

### getServices

    public javax.management.ObjectName[] getServices()

  Return the list of CIBService object names

  Specified by:
    `getServices` in interface `CIBApplicationMBean`
  Returns:
    ObjectName[]

### getServiceByUri

    public javax.management.ObjectName getServiceByUri(java.lang.String uri)
                                                throws CIBException

  Returns the object name of the Service identified by its Uri

  Specified by:
    `getServiceByUri` in interface `CIBApplicationMBean`
  Parameters:
    `uri` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getServiceByName

    public javax.management.ObjectName getServiceByName(java.lang.String name)
                                                 throws CIBException

  Returns the Object Name of the service identified by its name

  Specified by:
    `getServiceByName` in interface `CIBApplicationMBean`
  Parameters:
    `name` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getResources

    public javax.management.ObjectName[] getResources()

  Returns the list of object names of all the resource associated to the application

  Specified by:
    `getResources` in interface `CIBApplicationMBean`
  Returns:
    ObjectName[]

### getResourceByName

    public javax.management.ObjectName getResourceByName(java.lang.String name)
                                                  throws CIBException

  Returns the Object Name of a resource identified by its uri

  Specified by:
    `getResourceByName` in interface `CIBApplicationMBean`
  Parameters:
    `name` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getExternalResources

    public javax.management.ObjectName[] getExternalResources()

  Return the list of External service object names associated to the application

  Specified by:
    `getExternalResources` in interface `CIBApplicationMBean`
  Returns:
    ObjectName[]

### getExternalResourceByUri

    public javax.management.ObjectName getExternalResourceByUri(java.lang.String uri)
                                                         throws CIBException

  Returns the object name of a ExternalResource associated to the application identifies by its Uri

  Specified by:
    `getExternalResourceByUri` in interface `CIBApplicationMBean`
  Parameters:
    `uri` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getContainer

    public javax.management.ObjectName getContainer()

  Returns the object name of the application container

  Specified by:
    `getContainer` in interface `CIBApplicationMBean`
  Returns:
    ObjectName

### getApplicationsSet

    public javax.management.ObjectName[] getApplicationsSet()

  Returns the list of aggregated applications

  Specified by:
    `getApplicationsSet` in interface `CIBApplicationMBean`
  Returns:
    ObjectName[]

### setCIBProduct

    public void setCIBProduct(javax.management.ObjectName objectName)

  setCIBProduct

  Specified by:
    `setCIBProduct` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName

### getProduct

    public javax.management.ObjectName getProduct()
                                           throws javax.management.InvalidAttributeValueException

  Returns the CIBProduct object name

  Specified by:
    `getProduct` in interface `CIBApplicationMBean`
  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

### getDirectoryDN

    public java.lang.String getDirectoryDN()

  getDirectoryDN

  Specified by:
    `getDirectoryDN` in interface `CIBApplicationMBean`
  Returns:
    String

### addCIBResource

    public void addCIBResource(javax.management.ObjectName objectName)

  addCIBResource

  Specified by:
    `addCIBResource` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName

### removeCIBResource

    public void removeCIBResource(javax.management.ObjectName objectName)
                           throws CIBException

  removeCIBResource

  Specified by:
    `removeCIBResource` in interface `CIBApplicationIf`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### getStats

    public javax.management.j2ee.statistics.Stats getStats()
                                                    throws CIBException

  Returns the Stats object provided by the CIBProviderHandler Gets a CIBStats object for all available statistics.

  Specified by:
    `getStats` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getStats` in class `CIBMonitoredObject`
  Returns:
    Stats
  Throws:
    `CIBException`

### getOpenStatistic

    public javax.management.openmbean.CompositeData getOpenStatistic(java.lang.String name)
                                                              throws CIBAttributeNotFoundException,
                                                                     CIBException

  Gets a CIB Statistic as a standard serializable JMX Open Type

  Specified by:
    `getOpenStatistic` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStatistic` in class `CIBMonitoredObject`
  Parameters:
    `name` - String
  Returns:
    CompositeData
  Throws:
    `CIBAttributeNotFoundException`
    `CIBException`

### getOpenStatistics

    public javax.management.openmbean.CompositeData[] getOpenStatistics(java.lang.String[] names)
                                                                 throws CIBException

  Gets all CIBStatistics encoded as serializable JMX Open Types. If no statistics is found null is returned.

  Specified by:
    `getOpenStatistics` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStatistics` in class `CIBMonitoredObject`
  Parameters:
    `names` - String[]
  Returns:
    CompositeData[]
  Throws:
    `CIBException`

### getOpenStats

    public javax.management.openmbean.CompositeData getOpenStats()
                                                          throws CIBException

  Gets a CIBStats object encoded as a standard serializable JMX Open Type

  Specified by:
    `getOpenStats` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStats` in class `CIBMonitoredObject`
  Returns:
    javax.management.openmbean.CompositeData
  Throws:
    `CIBException`

### getStatisticNames

    public java.lang.String[] getStatisticNames()
                                         throws CIBException

  Gets all available statistic names

  Specified by:
    `getStatisticNames` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getStatisticNames` in class `CIBMonitoredObject`
  Returns:
    String[]
  Throws:
    `CIBException`

### getOperationalStatusState

    public int getOperationalStatusState()
                                  throws CIBException

  Get the Operational MfStatus of the monitored object

  Specified by:
    `getOperationalStatusState` in interface `CIBMonitoredObjectMBean`
  Returns:
    int
  Throws:
    `CIBException`

### getOperationalStatusLastChange

    public long getOperationalStatusLastChange()
                                        throws CIBException

  Get the time when the operational status last changed

  Specified by:
    `getOperationalStatusLastChange` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getOperationalStatusStartTime

    public long getOperationalStatusStartTime()
                                       throws CIBException

  Get the time when the Operational status entered into the running state

  Specified by:
    `getOperationalStatusStartTime` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getAvailabilityStatusState

    public int getAvailabilityStatusState()
                                   throws CIBException

  Get the Availability State of the Monitored object

  Specified by:
    `getAvailabilityStatusState` in interface `CIBMonitoredObjectMBean`
  Returns:
    int
  Throws:
    `CIBException`

### getAvailabilityStatusLastChange

    public long getAvailabilityStatusLastChange()
                                         throws CIBException

  Get the time when the availability status last changed

  Specified by:
    `getAvailabilityStatusLastChange` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getAvailabilityStatusDegradedTime

    public long getAvailabilityStatusDegradedTime()
                                           throws CIBException

  Returns the time the first time the object entered into the degraded state

  Specified by:
    `getAvailabilityStatusDegradedTime` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD